## freenet.support.CPUInformation
Class AMDInfoImpl

    java.lang.Object
      freenet.support.CPUInformation.CPUIDCPUInfo
          freenet.support.CPUInformation.AMDInfoImpl

All Implemented Interfaces:
  AMDCPUInfo, CPUInfo

     class AMDInfoImpl

extends CPUIDCPUInfo
implements AMDCPUInfo

Moved out of CPUID.java

Since:
  0.8.7

Field Summary
`protected static boolean` `isAthlon64Compatible`
`protected static boolean` `isAthlonCompatible`
`protected static boolean` `isBobcatCompatible`
`protected static boolean` `isGeodeCompatible`
`protected static boolean` `isK6_2_Compatible`
`protected static boolean` `isK6_3_Compatible`
`protected static boolean` `isK6Compatible`
`protected static String` `modelString`

Fields inherited from class freenet.support.CPUInformation.CPUIDCPUInfo
`isX64`

Constructor Summary
`AMDInfoImpl()`

Method Summary
`String` `getCPUModelString()`
`boolean` `hasX64()`
`boolean` `IsAthlon64Compatible()`
`boolean` `IsAthlonCompatible()`
`boolean` `IsBobcatCompatible()`
`boolean` `IsGeodeCompatible()`
`boolean` `IsK6_2_Compatible()`
`boolean` `IsK6_3_Compatible()`
`boolean` `IsK6Compatible()`

Methods inherited from class freenet.support.CPUInformation.CPUIDCPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface freenet.support.CPUInformation.CPUInfo
`getVendor, hasMMX, hasSSE, hasSSE2, hasSSE3, hasSSE41, hasSSE42, hasSSE4A`

Field Detail

### isK6Compatible

    protected static boolean isK6Compatible

### isK6_2_Compatible

    protected static boolean isK6_2_Compatible

### isK6_3_Compatible

    protected static boolean isK6_3_Compatible

### isGeodeCompatible

    protected static boolean isGeodeCompatible

### isAthlonCompatible

    protected static boolean isAthlonCompatible

### isAthlon64Compatible

    protected static boolean isAthlon64Compatible

### isBobcatCompatible

    protected static boolean isBobcatCompatible

### modelString

    protected static String modelString

Constructor Detail

### AMDInfoImpl

    AMDInfoImpl()

Method Detail

### IsK6Compatible

    public boolean IsK6Compatible()

  Specified by:
    `IsK6Compatible` in interface `AMDCPUInfo`
  Returns:
    true if the CPU present in the machine is at least an 'k6' CPU

### IsK6_2_Compatible

    public boolean IsK6_2_Compatible()

  Specified by:
    `IsK6_2_Compatible` in interface `AMDCPUInfo`
  Returns:
    true if the CPU present in the machine is at least an 'k6-2' CPU

### IsK6_3_Compatible

    public boolean IsK6_3_Compatible()

  Specified by:
    `IsK6_3_Compatible` in interface `AMDCPUInfo`
  Returns:
    true if the CPU present in the machine is at least an 'k6-3' CPU

### IsGeodeCompatible

    public boolean IsGeodeCompatible()

  Specified by:
    `IsGeodeCompatible` in interface `AMDCPUInfo`
  Returns:
    true if the CPU present in the machine is at least an 'geode' CPU

### IsAthlonCompatible

    public boolean IsAthlonCompatible()

  Specified by:
    `IsAthlonCompatible` in interface `AMDCPUInfo`
  Returns:
    true if the CPU present in the machine is at least an 'k7' CPU (Atlhon, Duron etc. and better)

### IsAthlon64Compatible

    public boolean IsAthlon64Compatible()

  Specified by:
    `IsAthlon64Compatible` in interface `AMDCPUInfo`
  Returns:
    true if the CPU present in the machine is at least an 'k8' CPU (Atlhon 64, Opteron etc. and better)

### IsBobcatCompatible

    public boolean IsBobcatCompatible()

  Specified by:
    `IsBobcatCompatible` in interface `AMDCPUInfo`
  Returns:
    true if the CPU present in the machine is at least an 'k8' CPU (Atlhon 64, Opteron etc. and better)

### getCPUModelString

    public String getCPUModelString()
                             throws UnknownCPUException

  Specified by:
    `getCPUModelString` in interface `CPUInfo`
  Returns:
    A string detailing what type of CPU that is present in the machine. I.e. 'Pentium IV' etc.
  Throws:
    `UnknownCPUException` - If for any reason the retrieval of the requested information failed. The message encapsulated in the execption indicates the cause of the failure.

### hasX64

    public boolean hasX64()

  Specified by:
    `hasX64` in class `CPUIDCPUInfo`